* [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
@ 2013-10-12 23:39 Gilles Dartiguelongue
0 siblings, 0 replies; 17+ messages in thread
From: Gilles Dartiguelongue @ 2013-10-12 23:39 UTC (permalink / raw
To: gentoo-commits
commit: a10aefcad5bdfa77aab2c49048e21c04791b24b4
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 12 23:16:57 2013 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sat Oct 12 23:39:02 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=a10aefca
app-misc/gnote: 3.9.2 → 3.10.0
Enable X use flag by default, disabling it only makes sens for wayland
setups but X11 is the most common setup.
---
.../gnote/{gnote-3.9.2.ebuild => gnote-3.10.0.ebuild} | 18 +++---------------
app-misc/gnote/gnote-9999.ebuild | 7 ++++---
2 files changed, 7 insertions(+), 18 deletions(-)
diff --git a/app-misc/gnote/gnote-3.9.2.ebuild b/app-misc/gnote/gnote-3.10.0.ebuild
similarity index 84%
rename from app-misc/gnote/gnote-3.9.2.ebuild
rename to app-misc/gnote/gnote-3.10.0.ebuild
index a2abc5a..28a5e5c 100644
--- a/app-misc/gnote/gnote-3.9.2.ebuild
+++ b/app-misc/gnote/gnote-3.10.0.ebuild
@@ -6,21 +6,14 @@ EAPI="5"
GCONF_DEBUG="no"
inherit gnome2 readme.gentoo
-if [[ ${PV} = 9999 ]]; then
- inherit gnome2-live
-fi
DESCRIPTION="Desktop note-taking application"
HOMEPAGE="http://live.gnome.org/Gnote"
LICENSE="GPL-3+ FDL-1.1"
SLOT="0"
-if [[ ${PV} = 9999 ]]; then
- KEYWORDS=""
-else
- KEYWORDS="~amd64 ~x86"
-fi
-IUSE="debug X"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug +X"
# Automagic glib-2.32 dep
COMMON_DEPEND="
@@ -45,10 +38,6 @@ DEPEND="${DEPEND}
>=dev-util/intltool-0.35.0
virtual/pkgconfig
"
-if [[ ${PV} = 9999 ]]; then
- DEPEND="${DEPEND}
- app-text/yelp-tools"
-fi
src_prepare() {
# Do not alter CFLAGS
@@ -66,12 +55,11 @@ src_prepare() {
}
src_configure() {
- [[ ${PV} != 9999 ]] && G2CONF="ITSTOOL=$(type -P true)"
gnome2_src_configure \
--disable-static \
$(use_enable debug) \
$(use_with X x11-support) \
- $G2CONF
+ ITSTOOL=$(type -P true)
}
src_install() {
diff --git a/app-misc/gnote/gnote-9999.ebuild b/app-misc/gnote/gnote-9999.ebuild
index a2abc5a..23511a3 100644
--- a/app-misc/gnote/gnote-9999.ebuild
+++ b/app-misc/gnote/gnote-9999.ebuild
@@ -20,7 +20,7 @@ if [[ ${PV} = 9999 ]]; then
else
KEYWORDS="~amd64 ~x86"
fi
-IUSE="debug X"
+IUSE="debug +X"
# Automagic glib-2.32 dep
COMMON_DEPEND="
@@ -66,12 +66,13 @@ src_prepare() {
}
src_configure() {
- [[ ${PV} != 9999 ]] && G2CONF="ITSTOOL=$(type -P true)"
+ local myconf=""
+ [[ ${PV} != 9999 ]] && myconf="ITSTOOL=$(type -P true)"
gnome2_src_configure \
--disable-static \
$(use_enable debug) \
$(use_with X x11-support) \
- $G2CONF
+ ${myconf}
}
src_install() {
^ permalink raw reply related [flat|nested] 17+ messages in thread
* [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
@ 2018-11-19 16:00 Gilles Dartiguelongue
0 siblings, 0 replies; 17+ messages in thread
From: Gilles Dartiguelongue @ 2018-11-19 16:00 UTC (permalink / raw
To: gentoo-commits
commit: 4d3155295e422b9cf78cf078e1299560bd5054aa
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 19 15:52:39 2018 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Mon Nov 19 16:00:16 2018 +0000
URL: https://gitweb.gentoo.org/proj/gnome.git/commit/?id=4d315529
app-misc/gnote: sync with gentoo repository
Package-Manager: Portage-2.3.51, Repoman-2.3.12
Manifest-Sign-Key: 0x5A56C8CD0C13248A
Signed-off-by: Gilles Dartiguelongue <eva <AT> gentoo.org>
app-misc/gnote/gnote-9999.ebuild | 5 +++--
1 file changed, 3 insertions(+), 2 deletions(-)
diff --git a/app-misc/gnote/gnote-9999.ebuild b/app-misc/gnote/gnote-9999.ebuild
index a28d1674..f150884c 100644
--- a/app-misc/gnote/gnote-9999.ebuild
+++ b/app-misc/gnote/gnote-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -22,10 +22,11 @@ fi
IUSE="debug"
# Automagic glib-2.32 dep
+# glibmm: first version in tree providing Thread API fix
COMMON_DEPEND="
>=app-crypt/libsecret-0.8
>=app-text/gtkspell-3.0:3
- >=dev-cpp/glibmm-2.32:2
+ >=dev-cpp/glibmm-2.52.1-r1:2
>=dev-cpp/gtkmm-3.18:3.0
>=dev-libs/glib-2.32:2[dbus]
>=dev-libs/libxml2-2:2
^ permalink raw reply related [flat|nested] 17+ messages in thread
* [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
@ 2018-11-19 16:00 Gilles Dartiguelongue
0 siblings, 0 replies; 17+ messages in thread
From: Gilles Dartiguelongue @ 2018-11-19 16:00 UTC (permalink / raw
To: gentoo-commits
commit: 680edcf7e0c7805b114aaff25917845046d9c2d7
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 19 15:51:37 2018 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Mon Nov 19 16:00:16 2018 +0000
URL: https://gitweb.gentoo.org/proj/gnome.git/commit/?id=680edcf7
app-misc/gnote: 3.30 was added to gentoo repository
Package-Manager: Portage-2.3.51, Repoman-2.3.12
Manifest-Sign-Key: 0x5A56C8CD0C13248A
Signed-off-by: Gilles Dartiguelongue <eva <AT> gentoo.org>
app-misc/gnote/gnote-3.26.0.ebuild | 71 --------------------------------------
1 file changed, 71 deletions(-)
diff --git a/app-misc/gnote/gnote-3.26.0.ebuild b/app-misc/gnote/gnote-3.26.0.ebuild
deleted file mode 100644
index 45ad245e..00000000
--- a/app-misc/gnote/gnote-3.26.0.ebuild
+++ /dev/null
@@ -1,71 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-GNOME2_LA_PUNT="yes"
-
-inherit gnome2 readme.gentoo-r1
-
-DESCRIPTION="Desktop note-taking application"
-HOMEPAGE="https://wiki.gnome.org/Apps/Gnote"
-
-LICENSE="GPL-3+ FDL-1.1"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="debug"
-
-# Automagic:
-# glib-2.32 dep
-# >=dev-libs/unittest++-1.5.1 (but not detected due to missing .pc)
-COMMON_DEPEND="
- >=app-crypt/libsecret-0.8
- >=app-text/gtkspell-3.0:3
- >=dev-cpp/glibmm-2.32:2
- >=dev-cpp/gtkmm-3.18:3.0
- >=dev-libs/glib-2.32:2[dbus]
- >=dev-libs/libxml2-2:2
- dev-libs/libxslt
- >=sys-apps/util-linux-2.16:=
- >=x11-libs/gtk+-3.20:3
-"
-RDEPEND="${COMMON_DEPEND}
- gnome-base/gsettings-desktop-schemas
-"
-DEPEND="${DEPEND}
- app-text/docbook-xml-dtd:4.1.2
- >=dev-util/intltool-0.35.0
- dev-util/itstool
- virtual/pkgconfig
-"
-
-src_prepare() {
- # Do not alter CFLAGS
- sed 's/-DDEBUG -g/-DDEBUG/' -i configure.ac configure || die
-
- gnome2_src_prepare
-
- if has_version net-fs/wdfs; then
- DOC_CONTENTS="You have net-fs/wdfs installed. app-misc/gnote will use it to
- synchronize notes."
- else
- DOC_CONTENTS="Gnote can use net-fs/wdfs to synchronize notes.
- If you want to use that functionality just emerge net-fs/wdfs.
- Gnote will automatically detect that you did and let you use it."
- fi
-}
-
-src_configure() {
- gnome2_src_configure \
- --disable-static \
- $(use_enable debug)
-}
-
-src_install() {
- gnome2_src_install
- readme.gentoo_create_doc
-}
-
-pkg_postinst() {
- gnome2_pkg_postinst
- readme.gentoo_print_elog
-}
^ permalink raw reply related [flat|nested] 17+ messages in thread
* [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
@ 2018-05-26 23:45 Gilles Dartiguelongue
0 siblings, 0 replies; 17+ messages in thread
From: Gilles Dartiguelongue @ 2018-05-26 23:45 UTC (permalink / raw
To: gentoo-commits
commit: 38d913951bad84e36a13a2f79aed46b94cfe4fce
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sat May 26 22:29:19 2018 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sat May 26 23:45:04 2018 +0000
URL: https://gitweb.gentoo.org/proj/gnome.git/commit/?id=38d91395
app-misc/gnote: 3.24.1 → 3.26.0
Formatting and actions menus redesigned. Translation updates.
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Manifest-Sign-Key: 0x5A56C8CD0C13248A
app-misc/gnote/gnote-3.26.0.ebuild | 71 ++++++++++++++++++++++++++++++++++++++
1 file changed, 71 insertions(+)
diff --git a/app-misc/gnote/gnote-3.26.0.ebuild b/app-misc/gnote/gnote-3.26.0.ebuild
new file mode 100644
index 00000000..45ad245e
--- /dev/null
+++ b/app-misc/gnote/gnote-3.26.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2 readme.gentoo-r1
+
+DESCRIPTION="Desktop note-taking application"
+HOMEPAGE="https://wiki.gnome.org/Apps/Gnote"
+
+LICENSE="GPL-3+ FDL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+# Automagic:
+# glib-2.32 dep
+# >=dev-libs/unittest++-1.5.1 (but not detected due to missing .pc)
+COMMON_DEPEND="
+ >=app-crypt/libsecret-0.8
+ >=app-text/gtkspell-3.0:3
+ >=dev-cpp/glibmm-2.32:2
+ >=dev-cpp/gtkmm-3.18:3.0
+ >=dev-libs/glib-2.32:2[dbus]
+ >=dev-libs/libxml2-2:2
+ dev-libs/libxslt
+ >=sys-apps/util-linux-2.16:=
+ >=x11-libs/gtk+-3.20:3
+"
+RDEPEND="${COMMON_DEPEND}
+ gnome-base/gsettings-desktop-schemas
+"
+DEPEND="${DEPEND}
+ app-text/docbook-xml-dtd:4.1.2
+ >=dev-util/intltool-0.35.0
+ dev-util/itstool
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ # Do not alter CFLAGS
+ sed 's/-DDEBUG -g/-DDEBUG/' -i configure.ac configure || die
+
+ gnome2_src_prepare
+
+ if has_version net-fs/wdfs; then
+ DOC_CONTENTS="You have net-fs/wdfs installed. app-misc/gnote will use it to
+ synchronize notes."
+ else
+ DOC_CONTENTS="Gnote can use net-fs/wdfs to synchronize notes.
+ If you want to use that functionality just emerge net-fs/wdfs.
+ Gnote will automatically detect that you did and let you use it."
+ fi
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-static \
+ $(use_enable debug)
+}
+
+src_install() {
+ gnome2_src_install
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ readme.gentoo_print_elog
+}
^ permalink raw reply related [flat|nested] 17+ messages in thread
* [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
@ 2018-05-26 23:45 Gilles Dartiguelongue
0 siblings, 0 replies; 17+ messages in thread
From: Gilles Dartiguelongue @ 2018-05-26 23:45 UTC (permalink / raw
To: gentoo-commits
commit: 755ad7168ebe1cb8af983cb7a15837d201a7f456
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sat May 26 22:31:29 2018 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sat May 26 23:45:04 2018 +0000
URL: https://gitweb.gentoo.org/proj/gnome.git/commit/?id=755ad716
app-misc/gnote: sync live ebuild
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Manifest-Sign-Key: 0x5A56C8CD0C13248A
app-misc/gnote/gnote-9999.ebuild | 27 ++++++++++-----------------
1 file changed, 10 insertions(+), 17 deletions(-)
diff --git a/app-misc/gnote/gnote-9999.ebuild b/app-misc/gnote/gnote-9999.ebuild
index ea84eb1f..a28d1674 100644
--- a/app-misc/gnote/gnote-9999.ebuild
+++ b/app-misc/gnote/gnote-9999.ebuild
@@ -1,12 +1,10 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Id$
-EAPI="5"
-GCONF_DEBUG="no"
+EAPI=6
GNOME2_LA_PUNT="yes"
-inherit gnome2 readme.gentoo
+inherit gnome2 readme.gentoo-r1
if [[ ${PV} = 9999 ]]; then
inherit gnome2-live
fi
@@ -21,29 +19,27 @@ if [[ ${PV} = 9999 ]]; then
else
KEYWORDS="~amd64 ~x86"
fi
-IUSE="debug X"
+IUSE="debug"
# Automagic glib-2.32 dep
COMMON_DEPEND="
>=app-crypt/libsecret-0.8
>=app-text/gtkspell-3.0:3
>=dev-cpp/glibmm-2.32:2
- >=dev-cpp/gtkmm-3.10:3.0
- >=dev-libs/boost-1.34
- >=dev-libs/glib-2.32:2
+ >=dev-cpp/gtkmm-3.18:3.0
+ >=dev-libs/glib-2.32:2[dbus]
>=dev-libs/libxml2-2:2
dev-libs/libxslt
>=sys-apps/util-linux-2.16:=
- >=x11-libs/gtk+-3.10:3
- X? ( x11-libs/libX11 )
+ >=x11-libs/gtk+-3.20:3
"
RDEPEND="${COMMON_DEPEND}
gnome-base/gsettings-desktop-schemas
"
DEPEND="${DEPEND}
app-text/docbook-xml-dtd:4.1.2
- dev-util/desktop-file-utils
>=dev-util/intltool-0.35.0
+ dev-util/itstool
virtual/pkgconfig
"
if [[ ${PV} = 9999 ]]; then
@@ -54,6 +50,7 @@ fi
src_prepare() {
# Do not alter CFLAGS
sed 's/-DDEBUG -g/-DDEBUG/' -i configure.ac configure || die
+
gnome2_src_prepare
if has_version net-fs/wdfs; then
@@ -67,13 +64,9 @@ src_prepare() {
}
src_configure() {
- local myconf=""
- [[ ${PV} != 9999 ]] && myconf="ITSTOOL=$(type -P true)"
gnome2_src_configure \
--disable-static \
- $(use_enable debug) \
- $(use_with X x11-support) \
- ${myconf}
+ $(use_enable debug)
}
src_install() {
^ permalink raw reply related [flat|nested] 17+ messages in thread
* [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
@ 2015-05-30 0:48 Alexandre Rostovtsev
0 siblings, 0 replies; 17+ messages in thread
From: Alexandre Rostovtsev @ 2015-05-30 0:48 UTC (permalink / raw
To: gentoo-commits
commit: e5a1e953ea3197316351fb63c654669d6926f343
Author: Alexandre Rostovtsev <tetromino <AT> gentoo <DOT> org>
AuthorDate: Sat May 30 00:46:03 2015 +0000
Commit: Alexandre Rostovtsev <tetromino <AT> gentoo <DOT> org>
CommitDate: Sat May 30 00:46:03 2015 +0000
URL: https://gitweb.gentoo.org/proj/gnome.git/commit/?id=e5a1e953
app-misc/gnote: 3.16.0 → 3.16.1
Package-Manager: portage-2.2.20
Manifest-Sign-Key: 0x18E5B6F2D8D5EC8D
app-misc/gnote/{gnote-3.16.0.ebuild => gnote-3.16.1.ebuild} | 0
1 file changed, 0 insertions(+), 0 deletions(-)
diff --git a/app-misc/gnote/gnote-3.16.0.ebuild b/app-misc/gnote/gnote-3.16.1.ebuild
similarity index 100%
rename from app-misc/gnote/gnote-3.16.0.ebuild
rename to app-misc/gnote/gnote-3.16.1.ebuild
^ permalink raw reply [flat|nested] 17+ messages in thread
* [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
@ 2015-05-12 22:20 Gilles Dartiguelongue
0 siblings, 0 replies; 17+ messages in thread
From: Gilles Dartiguelongue @ 2015-05-12 22:20 UTC (permalink / raw
To: gentoo-commits
commit: 71f642fc2c16f7c0887c55ef148ccd77dc6d40cb
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Tue May 12 22:14:30 2015 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Tue May 12 22:14:30 2015 +0000
URL: https://gitweb.gentoo.org/proj/gnome.git/commit/?id=71f642fc
app-misc/gnote: drop la files for plugins
app-misc/gnote/gnote-3.16.0.ebuild | 1 +
app-misc/gnote/gnote-9999.ebuild | 3 ++-
2 files changed, 3 insertions(+), 1 deletion(-)
diff --git a/app-misc/gnote/gnote-3.16.0.ebuild b/app-misc/gnote/gnote-3.16.0.ebuild
index 3646dea..3070705 100644
--- a/app-misc/gnote/gnote-3.16.0.ebuild
+++ b/app-misc/gnote/gnote-3.16.0.ebuild
@@ -4,6 +4,7 @@
EAPI="5"
GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
inherit gnome2 readme.gentoo
diff --git a/app-misc/gnote/gnote-9999.ebuild b/app-misc/gnote/gnote-9999.ebuild
index 05640a1..6315a6c 100644
--- a/app-misc/gnote/gnote-9999.ebuild
+++ b/app-misc/gnote/gnote-9999.ebuild
@@ -4,6 +4,7 @@
EAPI="5"
GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
inherit gnome2 readme.gentoo
if [[ ${PV} = 9999 ]]; then
@@ -20,7 +21,7 @@ if [[ ${PV} = 9999 ]]; then
else
KEYWORDS="~amd64 ~x86"
fi
-IUSE="debug +X"
+IUSE="debug X"
# Automagic glib-2.32 dep
COMMON_DEPEND="
^ permalink raw reply related [flat|nested] 17+ messages in thread
* [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
@ 2014-12-21 13:28 Gilles Dartiguelongue
0 siblings, 0 replies; 17+ messages in thread
From: Gilles Dartiguelongue @ 2014-12-21 13:28 UTC (permalink / raw
To: gentoo-commits
commit: 2fb0cf6dd233dc51808d9c2c3fac747474c7c147
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 21 11:50:33 2014 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Dec 21 11:50:33 2014 +0000
URL: http://sources.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=2fb0cf6d
app-misc/gnote: moved to gentoo-x86
---
app-misc/gnote/gnote-3.14.1.ebuild | 73 --------------------------------------
1 file changed, 73 deletions(-)
diff --git a/app-misc/gnote/gnote-3.14.1.ebuild b/app-misc/gnote/gnote-3.14.1.ebuild
deleted file mode 100644
index 255aab6..0000000
--- a/app-misc/gnote/gnote-3.14.1.ebuild
+++ /dev/null
@@ -1,73 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="5"
-GCONF_DEBUG="no"
-
-inherit gnome2 readme.gentoo
-
-DESCRIPTION="Desktop note-taking application"
-HOMEPAGE="https://wiki.gnome.org/Apps/Gnote"
-
-LICENSE="GPL-3+ FDL-1.1"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="debug +X"
-
-# Automagic glib-2.32 dep
-COMMON_DEPEND="
- >=app-crypt/libsecret-0.8
- >=app-text/gtkspell-3.0:3
- >=dev-cpp/glibmm-2.32:2
- >=dev-cpp/gtkmm-3.10:3.0
- >=dev-libs/boost-1.34
- >=dev-libs/glib-2.32:2
- >=dev-libs/libxml2-2:2
- dev-libs/libxslt
- >=sys-apps/util-linux-2.16:=
- >=x11-libs/gtk+-3.10:3
- X? ( x11-libs/libX11 )
-"
-RDEPEND="${COMMON_DEPEND}
- gnome-base/gsettings-desktop-schemas
-"
-DEPEND="${DEPEND}
- app-text/docbook-xml-dtd:4.1.2
- dev-util/desktop-file-utils
- >=dev-util/intltool-0.35.0
- virtual/pkgconfig
-"
-
-src_prepare() {
- # Do not alter CFLAGS
- sed 's/-DDEBUG -g/-DDEBUG/' -i configure.ac configure || die
- gnome2_src_prepare
-
- if has_version net-fs/wdfs; then
- DOC_CONTENTS="You have net-fs/wdfs installed. app-misc/gnote will use it to
- synchronize notes."
- else
- DOC_CONTENTS="Gnote can use net-fs/wdfs to synchronize notes.
- If you want to use that functionality just emerge net-fs/wdfs.
- Gnote will automatically detect that you did and let you use it."
- fi
-}
-
-src_configure() {
- gnome2_src_configure \
- --disable-static \
- $(use_enable debug) \
- $(use_with X x11-support) \
- ITSTOOL=$(type -P true)
-}
-
-src_install() {
- gnome2_src_install
- readme.gentoo_create_doc
-}
-
-pkg_postinst() {
- gnome2_pkg_postinst
- readme.gentoo_print_elog
-}
^ permalink raw reply related [flat|nested] 17+ messages in thread
* [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
@ 2014-12-07 18:49 Gilles Dartiguelongue
0 siblings, 0 replies; 17+ messages in thread
From: Gilles Dartiguelongue @ 2014-12-07 18:49 UTC (permalink / raw
To: gentoo-commits
commit: a5b01235fb132a5bc00da9128a318d7fb119184b
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 7 15:10:13 2014 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Dec 7 15:10:13 2014 +0000
URL: http://sources.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=a5b01235
app-misc/gnote: 3.14.0 → 3.14.1
---
app-misc/gnote/{gnote-3.14.0.ebuild => gnote-3.14.1.ebuild} | 0
1 file changed, 0 insertions(+), 0 deletions(-)
diff --git a/app-misc/gnote/gnote-3.14.0.ebuild b/app-misc/gnote/gnote-3.14.1.ebuild
similarity index 100%
rename from app-misc/gnote/gnote-3.14.0.ebuild
rename to app-misc/gnote/gnote-3.14.1.ebuild
^ permalink raw reply [flat|nested] 17+ messages in thread
* [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
@ 2014-04-06 18:22 Gilles Dartiguelongue
0 siblings, 0 replies; 17+ messages in thread
From: Gilles Dartiguelongue @ 2014-04-06 18:22 UTC (permalink / raw
To: gentoo-commits
commit: 47acbc8cf1c708867b5123dfb85572f1af198f42
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 6 17:46:24 2014 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Apr 6 17:51:54 2014 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=47acbc8c
app-misc/gnote: 3.10.3 → 3.12.0
---
.../{gnote-9999.ebuild => gnote-3.12.0.ebuild} | 25 ++++++----------------
app-misc/gnote/gnote-9999.ebuild | 6 +++---
2 files changed, 9 insertions(+), 22 deletions(-)
diff --git a/app-misc/gnote/gnote-9999.ebuild b/app-misc/gnote/gnote-3.12.0.ebuild
similarity index 77%
copy from app-misc/gnote/gnote-9999.ebuild
copy to app-misc/gnote/gnote-3.12.0.ebuild
index 23511a3..255aab6 100644
--- a/app-misc/gnote/gnote-9999.ebuild
+++ b/app-misc/gnote/gnote-3.12.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
@@ -6,20 +6,13 @@ EAPI="5"
GCONF_DEBUG="no"
inherit gnome2 readme.gentoo
-if [[ ${PV} = 9999 ]]; then
- inherit gnome2-live
-fi
DESCRIPTION="Desktop note-taking application"
-HOMEPAGE="http://live.gnome.org/Gnote"
+HOMEPAGE="https://wiki.gnome.org/Apps/Gnote"
LICENSE="GPL-3+ FDL-1.1"
SLOT="0"
-if [[ ${PV} = 9999 ]]; then
- KEYWORDS=""
-else
- KEYWORDS="~amd64 ~x86"
-fi
+KEYWORDS="~amd64 ~x86"
IUSE="debug +X"
# Automagic glib-2.32 dep
@@ -27,13 +20,13 @@ COMMON_DEPEND="
>=app-crypt/libsecret-0.8
>=app-text/gtkspell-3.0:3
>=dev-cpp/glibmm-2.32:2
- >=dev-cpp/gtkmm-3.6:3.0
+ >=dev-cpp/gtkmm-3.10:3.0
>=dev-libs/boost-1.34
>=dev-libs/glib-2.32:2
>=dev-libs/libxml2-2:2
dev-libs/libxslt
>=sys-apps/util-linux-2.16:=
- >=x11-libs/gtk+-3.6:3
+ >=x11-libs/gtk+-3.10:3
X? ( x11-libs/libX11 )
"
RDEPEND="${COMMON_DEPEND}
@@ -45,10 +38,6 @@ DEPEND="${DEPEND}
>=dev-util/intltool-0.35.0
virtual/pkgconfig
"
-if [[ ${PV} = 9999 ]]; then
- DEPEND="${DEPEND}
- app-text/yelp-tools"
-fi
src_prepare() {
# Do not alter CFLAGS
@@ -66,13 +55,11 @@ src_prepare() {
}
src_configure() {
- local myconf=""
- [[ ${PV} != 9999 ]] && myconf="ITSTOOL=$(type -P true)"
gnome2_src_configure \
--disable-static \
$(use_enable debug) \
$(use_with X x11-support) \
- ${myconf}
+ ITSTOOL=$(type -P true)
}
src_install() {
diff --git a/app-misc/gnote/gnote-9999.ebuild b/app-misc/gnote/gnote-9999.ebuild
index 23511a3..a30ffcf 100644
--- a/app-misc/gnote/gnote-9999.ebuild
+++ b/app-misc/gnote/gnote-9999.ebuild
@@ -11,7 +11,7 @@ if [[ ${PV} = 9999 ]]; then
fi
DESCRIPTION="Desktop note-taking application"
-HOMEPAGE="http://live.gnome.org/Gnote"
+HOMEPAGE="https://wiki.gnome.org/Apps/Gnote"
LICENSE="GPL-3+ FDL-1.1"
SLOT="0"
@@ -27,13 +27,13 @@ COMMON_DEPEND="
>=app-crypt/libsecret-0.8
>=app-text/gtkspell-3.0:3
>=dev-cpp/glibmm-2.32:2
- >=dev-cpp/gtkmm-3.6:3.0
+ >=dev-cpp/gtkmm-3.10:3.0
>=dev-libs/boost-1.34
>=dev-libs/glib-2.32:2
>=dev-libs/libxml2-2:2
dev-libs/libxslt
>=sys-apps/util-linux-2.16:=
- >=x11-libs/gtk+-3.6:3
+ >=x11-libs/gtk+-3.10:3
X? ( x11-libs/libX11 )
"
RDEPEND="${COMMON_DEPEND}
^ permalink raw reply related [flat|nested] 17+ messages in thread
* [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
@ 2013-11-14 8:03 Gilles Dartiguelongue
0 siblings, 0 replies; 17+ messages in thread
From: Gilles Dartiguelongue @ 2013-11-14 8:03 UTC (permalink / raw
To: gentoo-commits
commit: 5468e6edae056dbc3c537edfe97233ccc69bb251
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 14 09:54:24 2013 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Thu Nov 14 10:02:07 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=5468e6ed
app-misc/gnote: 3.10.0 → 3.10.1
---
app-misc/gnote/{gnote-3.10.0.ebuild => gnote-3.10.1.ebuild} | 0
1 file changed, 0 insertions(+), 0 deletions(-)
diff --git a/app-misc/gnote/gnote-3.10.0.ebuild b/app-misc/gnote/gnote-3.10.1.ebuild
similarity index 100%
rename from app-misc/gnote/gnote-3.10.0.ebuild
rename to app-misc/gnote/gnote-3.10.1.ebuild
^ permalink raw reply [flat|nested] 17+ messages in thread
* [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
@ 2013-08-24 14:10 Priit Laes
0 siblings, 0 replies; 17+ messages in thread
From: Priit Laes @ 2013-08-24 14:10 UTC (permalink / raw
To: gentoo-commits
commit: 20b9dde6892ef99346c6bd19ff0184f3b961a83a
Author: Priit Laes <plaes <AT> plaes <DOT> org>
AuthorDate: Sat Aug 24 14:11:22 2013 +0000
Commit: Priit Laes <plaes <AT> plaes <DOT> org>
CommitDate: Sat Aug 24 14:11:22 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=20b9dde6
app-misc/gnote: Add 3.9.2 to overlay
---
app-misc/gnote/gnote-3.9.2.ebuild | 85 +++++++++++++++++++++++++++++++++++++++
app-misc/gnote/gnote-9999.ebuild | 63 ++++++++++++++++++++---------
2 files changed, 128 insertions(+), 20 deletions(-)
diff --git a/app-misc/gnote/gnote-3.9.2.ebuild b/app-misc/gnote/gnote-3.9.2.ebuild
new file mode 100644
index 0000000..a2abc5a
--- /dev/null
+++ b/app-misc/gnote/gnote-3.9.2.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+GCONF_DEBUG="no"
+
+inherit gnome2 readme.gentoo
+if [[ ${PV} = 9999 ]]; then
+ inherit gnome2-live
+fi
+
+DESCRIPTION="Desktop note-taking application"
+HOMEPAGE="http://live.gnome.org/Gnote"
+
+LICENSE="GPL-3+ FDL-1.1"
+SLOT="0"
+if [[ ${PV} = 9999 ]]; then
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64 ~x86"
+fi
+IUSE="debug X"
+
+# Automagic glib-2.32 dep
+COMMON_DEPEND="
+ >=app-crypt/libsecret-0.8
+ >=app-text/gtkspell-3.0:3
+ >=dev-cpp/glibmm-2.32:2
+ >=dev-cpp/gtkmm-3.6:3.0
+ >=dev-libs/boost-1.34
+ >=dev-libs/glib-2.32:2
+ >=dev-libs/libxml2-2:2
+ dev-libs/libxslt
+ >=sys-apps/util-linux-2.16:=
+ >=x11-libs/gtk+-3.6:3
+ X? ( x11-libs/libX11 )
+"
+RDEPEND="${COMMON_DEPEND}
+ gnome-base/gsettings-desktop-schemas
+"
+DEPEND="${DEPEND}
+ app-text/docbook-xml-dtd:4.1.2
+ dev-util/desktop-file-utils
+ >=dev-util/intltool-0.35.0
+ virtual/pkgconfig
+"
+if [[ ${PV} = 9999 ]]; then
+ DEPEND="${DEPEND}
+ app-text/yelp-tools"
+fi
+
+src_prepare() {
+ # Do not alter CFLAGS
+ sed 's/-DDEBUG -g/-DDEBUG/' -i configure.ac configure || die
+ gnome2_src_prepare
+
+ if has_version net-fs/wdfs; then
+ DOC_CONTENTS="You have net-fs/wdfs installed. app-misc/gnote will use it to
+ synchronize notes."
+ else
+ DOC_CONTENTS="Gnote can use net-fs/wdfs to synchronize notes.
+ If you want to use that functionality just emerge net-fs/wdfs.
+ Gnote will automatically detect that you did and let you use it."
+ fi
+}
+
+src_configure() {
+ [[ ${PV} != 9999 ]] && G2CONF="ITSTOOL=$(type -P true)"
+ gnome2_src_configure \
+ --disable-static \
+ $(use_enable debug) \
+ $(use_with X x11-support) \
+ $G2CONF
+}
+
+src_install() {
+ gnome2_src_install
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ readme.gentoo_print_elog
+}
diff --git a/app-misc/gnote/gnote-9999.ebuild b/app-misc/gnote/gnote-9999.ebuild
index c6a2a46..a2abc5a 100644
--- a/app-misc/gnote/gnote-9999.ebuild
+++ b/app-misc/gnote/gnote-9999.ebuild
@@ -1,12 +1,11 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="4"
+EAPI="5"
GCONF_DEBUG="no"
-GNOME2_LA_PUNT="yes"
-inherit gnome2
+inherit gnome2 readme.gentoo
if [[ ${PV} = 9999 ]]; then
inherit gnome2-live
fi
@@ -14,32 +13,35 @@ fi
DESCRIPTION="Desktop note-taking application"
HOMEPAGE="http://live.gnome.org/Gnote"
-LICENSE="GPL-3+"
+LICENSE="GPL-3+ FDL-1.1"
SLOT="0"
if [[ ${PV} = 9999 ]]; then
KEYWORDS=""
else
KEYWORDS="~amd64 ~x86"
fi
-IUSE="debug"
+IUSE="debug X"
# Automagic glib-2.32 dep
COMMON_DEPEND="
>=app-crypt/libsecret-0.8
- >=dev-cpp/glibmm-2.28:2
- >=dev-cpp/gtkmm-3.4:3.0
+ >=app-text/gtkspell-3.0:3
+ >=dev-cpp/glibmm-2.32:2
+ >=dev-cpp/gtkmm-3.6:3.0
>=dev-libs/boost-1.34
- >=dev-libs/glib-2.32
+ >=dev-libs/glib-2.32:2
>=dev-libs/libxml2-2:2
dev-libs/libxslt
- >=sys-apps/util-linux-2.16
- >=x11-libs/gtk+-3:3
- x11-libs/libX11
+ >=sys-apps/util-linux-2.16:=
+ >=x11-libs/gtk+-3.6:3
+ X? ( x11-libs/libX11 )
"
RDEPEND="${COMMON_DEPEND}
- gnome-base/gsettings-desktop-schemas"
+ gnome-base/gsettings-desktop-schemas
+"
DEPEND="${DEPEND}
app-text/docbook-xml-dtd:4.1.2
+ dev-util/desktop-file-utils
>=dev-util/intltool-0.35.0
virtual/pkgconfig
"
@@ -49,14 +51,35 @@ if [[ ${PV} = 9999 ]]; then
fi
src_prepare() {
- DOCS="AUTHORS ChangeLog NEWS README TODO"
- G2CONF="${G2CONF}
- --disable-static
- $(use_enable debug)"
- [[ ${PV} != 9999 ]] && G2CONF="${G2CONF} ITSTOOL=$(type -P true)"
-
# Do not alter CFLAGS
sed 's/-DDEBUG -g/-DDEBUG/' -i configure.ac configure || die
-
gnome2_src_prepare
+
+ if has_version net-fs/wdfs; then
+ DOC_CONTENTS="You have net-fs/wdfs installed. app-misc/gnote will use it to
+ synchronize notes."
+ else
+ DOC_CONTENTS="Gnote can use net-fs/wdfs to synchronize notes.
+ If you want to use that functionality just emerge net-fs/wdfs.
+ Gnote will automatically detect that you did and let you use it."
+ fi
+}
+
+src_configure() {
+ [[ ${PV} != 9999 ]] && G2CONF="ITSTOOL=$(type -P true)"
+ gnome2_src_configure \
+ --disable-static \
+ $(use_enable debug) \
+ $(use_with X x11-support) \
+ $G2CONF
+}
+
+src_install() {
+ gnome2_src_install
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ readme.gentoo_print_elog
}
^ permalink raw reply related [flat|nested] 17+ messages in thread
* [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
@ 2012-12-16 15:33 Gilles Dartiguelongue
0 siblings, 0 replies; 17+ messages in thread
From: Gilles Dartiguelongue @ 2012-12-16 15:33 UTC (permalink / raw
To: gentoo-commits
commit: f98df8bee17a0d62edfcd5b068562d4e806ee957
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 16 15:18:08 2012 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Dec 16 15:18:08 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=f98df8be
app-misc/gnote: moved to gx86
---
app-misc/gnote/gnote-3.6.1.ebuild | 55 -------------------------------------
app-misc/gnote/gnote-9999.ebuild | 23 ++++++++++-----
app-misc/gnote/metadata.xml | 9 ++++++
3 files changed, 24 insertions(+), 63 deletions(-)
diff --git a/app-misc/gnote/gnote-3.6.1.ebuild b/app-misc/gnote/gnote-3.6.1.ebuild
deleted file mode 100644
index 18fd8f9..0000000
--- a/app-misc/gnote/gnote-3.6.1.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/gnote/gnote-0.7.4.ebuild,v 1.1 2011/05/02 21:02:38 eva Exp $
-
-EAPI="4"
-GCONF_DEBUG="no"
-GNOME2_LA_PUNT="yes"
-
-inherit gnome2
-if [[ ${PV} = 9999 ]]; then
- inherit gnome2-live
-fi
-
-DESCRIPTION="Desktop note-taking application"
-HOMEPAGE="http://live.gnome.org/Gnote"
-
-LICENSE="GPL-3"
-SLOT="0"
-if [[ ${PV} = 9999 ]]; then
- KEYWORDS=""
-else
- KEYWORDS="~amd64 ~x86"
-fi
-IUSE="debug"
-
-RDEPEND="
- >=app-crypt/libsecret-0.8
- >=dev-cpp/glibmm-2.28:2
- >=dev-cpp/gtkmm-3.4:3.0
- >=dev-libs/boost-1.34
- >=dev-libs/libxml2-2:2
- >=sys-apps/util-linux-2.16
- >=x11-libs/gtk+-3.0:3
- dev-libs/libxslt
- x11-libs/libX11
-"
-DEPEND="${DEPEND}
- app-text/yelp-tools
- app-text/docbook-xml-dtd:4.1.2
- >=dev-util/intltool-0.35.0
- virtual/pkgconfig
-"
-
-src_prepare() {
- DOCS="AUTHORS ChangeLog NEWS README TODO"
- G2CONF="${G2CONF}
- --disable-static
- --disable-schemas-compile
- $(use_enable debug)"
-
- # Do not alter CFLAGS
- sed 's/-DDEBUG -g/-DDEBUG/' -i configure.ac configure || die
-
- gnome2_src_prepare
-}
diff --git a/app-misc/gnote/gnote-9999.ebuild b/app-misc/gnote/gnote-9999.ebuild
index 18fd8f9..c6a2a46 100644
--- a/app-misc/gnote/gnote-9999.ebuild
+++ b/app-misc/gnote/gnote-9999.ebuild
@@ -1,6 +1,6 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/gnote/gnote-0.7.4.ebuild,v 1.1 2011/05/02 21:02:38 eva Exp $
+# $Header: $
EAPI="4"
GCONF_DEBUG="no"
@@ -14,7 +14,7 @@ fi
DESCRIPTION="Desktop note-taking application"
HOMEPAGE="http://live.gnome.org/Gnote"
-LICENSE="GPL-3"
+LICENSE="GPL-3+"
SLOT="0"
if [[ ${PV} = 9999 ]]; then
KEYWORDS=""
@@ -23,30 +23,37 @@ else
fi
IUSE="debug"
-RDEPEND="
+# Automagic glib-2.32 dep
+COMMON_DEPEND="
>=app-crypt/libsecret-0.8
>=dev-cpp/glibmm-2.28:2
>=dev-cpp/gtkmm-3.4:3.0
>=dev-libs/boost-1.34
+ >=dev-libs/glib-2.32
>=dev-libs/libxml2-2:2
- >=sys-apps/util-linux-2.16
- >=x11-libs/gtk+-3.0:3
dev-libs/libxslt
+ >=sys-apps/util-linux-2.16
+ >=x11-libs/gtk+-3:3
x11-libs/libX11
"
+RDEPEND="${COMMON_DEPEND}
+ gnome-base/gsettings-desktop-schemas"
DEPEND="${DEPEND}
- app-text/yelp-tools
app-text/docbook-xml-dtd:4.1.2
>=dev-util/intltool-0.35.0
virtual/pkgconfig
"
+if [[ ${PV} = 9999 ]]; then
+ DEPEND="${DEPEND}
+ app-text/yelp-tools"
+fi
src_prepare() {
DOCS="AUTHORS ChangeLog NEWS README TODO"
G2CONF="${G2CONF}
--disable-static
- --disable-schemas-compile
$(use_enable debug)"
+ [[ ${PV} != 9999 ]] && G2CONF="${G2CONF} ITSTOOL=$(type -P true)"
# Do not alter CFLAGS
sed 's/-DDEBUG -g/-DDEBUG/' -i configure.ac configure || die
diff --git a/app-misc/gnote/metadata.xml b/app-misc/gnote/metadata.xml
new file mode 100644
index 0000000..ee7f6ac
--- /dev/null
+++ b/app-misc/gnote/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnome</herd>
+ <maintainer>
+ <email>eva@gentoo.org</email>
+ <name>Gilles Dartiguelongue</name>
+ </maintainer>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 17+ messages in thread
* [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
@ 2012-10-28 21:06 Gilles Dartiguelongue
0 siblings, 0 replies; 17+ messages in thread
From: Gilles Dartiguelongue @ 2012-10-28 21:06 UTC (permalink / raw
To: gentoo-commits
commit: 546eac4c19e89348ecbd9def6d0f48fa5f51009d
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 28 21:03:41 2012 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Oct 28 21:03:41 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=546eac4c
app-misc/gnote: 3.6.0 → 3.6.1
---
.../{gnote-3.6.0.ebuild => gnote-3.6.1.ebuild} | 0
1 files changed, 0 insertions(+), 0 deletions(-)
diff --git a/app-misc/gnote/gnote-3.6.0.ebuild b/app-misc/gnote/gnote-3.6.1.ebuild
similarity index 100%
rename from app-misc/gnote/gnote-3.6.0.ebuild
rename to app-misc/gnote/gnote-3.6.1.ebuild
^ permalink raw reply [flat|nested] 17+ messages in thread
* [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
@ 2012-10-28 11:33 Gilles Dartiguelongue
0 siblings, 0 replies; 17+ messages in thread
From: Gilles Dartiguelongue @ 2012-10-28 11:33 UTC (permalink / raw
To: gentoo-commits
commit: 37ea194da59d86896e84b9d6677e46448f7a4f6f
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 28 11:33:14 2012 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Oct 28 11:33:14 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=37ea194d
app-misc/gnote: 0.8.4 → 3.6.0
---
.../{gnote-9999.ebuild => gnote-3.6.0.ebuild} | 36 ++++++++++----------
app-misc/gnote/gnote-9999.ebuild | 36 ++++++++++----------
2 files changed, 36 insertions(+), 36 deletions(-)
diff --git a/app-misc/gnote/gnote-9999.ebuild b/app-misc/gnote/gnote-3.6.0.ebuild
similarity index 69%
copy from app-misc/gnote/gnote-9999.ebuild
copy to app-misc/gnote/gnote-3.6.0.ebuild
index b6ddbb1..18fd8f9 100644
--- a/app-misc/gnote/gnote-9999.ebuild
+++ b/app-misc/gnote/gnote-3.6.0.ebuild
@@ -3,6 +3,7 @@
# $Header: /var/cvsroot/gentoo-x86/app-misc/gnote/gnote-0.7.4.ebuild,v 1.1 2011/05/02 21:02:38 eva Exp $
EAPI="4"
+GCONF_DEBUG="no"
GNOME2_LA_PUNT="yes"
inherit gnome2
@@ -20,36 +21,35 @@ if [[ ${PV} = 9999 ]]; then
else
KEYWORDS="~amd64 ~x86"
fi
-IUSE="applet debug"
+IUSE="debug"
-RDEPEND=">=x11-libs/gtk+-3.0:3
+RDEPEND="
+ >=app-crypt/libsecret-0.8
>=dev-cpp/glibmm-2.28:2
- >=dev-cpp/gtkmm-3.0:3.0
- >=dev-libs/libxml2-2:2
- dev-libs/libxslt
- >=dev-libs/libpcre-7.8:3[cxx]
+ >=dev-cpp/gtkmm-3.4:3.0
>=dev-libs/boost-1.34
+ >=dev-libs/libxml2-2:2
>=sys-apps/util-linux-2.16
- applet? ( >=gnome-base/gnome-panel-3 )"
+ >=x11-libs/gtk+-3.0:3
+ dev-libs/libxslt
+ x11-libs/libX11
+"
DEPEND="${DEPEND}
- >=dev-util/intltool-0.35.0
- app-text/gnome-doc-utils
+ app-text/yelp-tools
app-text/docbook-xml-dtd:4.1.2
- virtual/pkgconfig"
+ >=dev-util/intltool-0.35.0
+ virtual/pkgconfig
+"
-pkg_setup() {
+src_prepare() {
DOCS="AUTHORS ChangeLog NEWS README TODO"
G2CONF="${G2CONF}
--disable-static
--disable-schemas-compile
- $(use_enable applet)
$(use_enable debug)"
-}
-src_prepare() {
- gnome2_src_prepare
+ # Do not alter CFLAGS
+ sed 's/-DDEBUG -g/-DDEBUG/' -i configure.ac configure || die
- # Do not set idiotic defines in a released tarball, bug #311979
- sed 's/-DG.*_DISABLE_DEPRECATED//g' -i libtomboy/Makefile.* ||
- die "sed failed"
+ gnome2_src_prepare
}
diff --git a/app-misc/gnote/gnote-9999.ebuild b/app-misc/gnote/gnote-9999.ebuild
index b6ddbb1..18fd8f9 100644
--- a/app-misc/gnote/gnote-9999.ebuild
+++ b/app-misc/gnote/gnote-9999.ebuild
@@ -3,6 +3,7 @@
# $Header: /var/cvsroot/gentoo-x86/app-misc/gnote/gnote-0.7.4.ebuild,v 1.1 2011/05/02 21:02:38 eva Exp $
EAPI="4"
+GCONF_DEBUG="no"
GNOME2_LA_PUNT="yes"
inherit gnome2
@@ -20,36 +21,35 @@ if [[ ${PV} = 9999 ]]; then
else
KEYWORDS="~amd64 ~x86"
fi
-IUSE="applet debug"
+IUSE="debug"
-RDEPEND=">=x11-libs/gtk+-3.0:3
+RDEPEND="
+ >=app-crypt/libsecret-0.8
>=dev-cpp/glibmm-2.28:2
- >=dev-cpp/gtkmm-3.0:3.0
- >=dev-libs/libxml2-2:2
- dev-libs/libxslt
- >=dev-libs/libpcre-7.8:3[cxx]
+ >=dev-cpp/gtkmm-3.4:3.0
>=dev-libs/boost-1.34
+ >=dev-libs/libxml2-2:2
>=sys-apps/util-linux-2.16
- applet? ( >=gnome-base/gnome-panel-3 )"
+ >=x11-libs/gtk+-3.0:3
+ dev-libs/libxslt
+ x11-libs/libX11
+"
DEPEND="${DEPEND}
- >=dev-util/intltool-0.35.0
- app-text/gnome-doc-utils
+ app-text/yelp-tools
app-text/docbook-xml-dtd:4.1.2
- virtual/pkgconfig"
+ >=dev-util/intltool-0.35.0
+ virtual/pkgconfig
+"
-pkg_setup() {
+src_prepare() {
DOCS="AUTHORS ChangeLog NEWS README TODO"
G2CONF="${G2CONF}
--disable-static
--disable-schemas-compile
- $(use_enable applet)
$(use_enable debug)"
-}
-src_prepare() {
- gnome2_src_prepare
+ # Do not alter CFLAGS
+ sed 's/-DDEBUG -g/-DDEBUG/' -i configure.ac configure || die
- # Do not set idiotic defines in a released tarball, bug #311979
- sed 's/-DG.*_DISABLE_DEPRECATED//g' -i libtomboy/Makefile.* ||
- die "sed failed"
+ gnome2_src_prepare
}
^ permalink raw reply related [flat|nested] 17+ messages in thread
* [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
@ 2011-10-23 17:51 Alexandre Restovtsev
0 siblings, 0 replies; 17+ messages in thread
From: Alexandre Restovtsev @ 2011-10-23 17:51 UTC (permalink / raw
To: gentoo-commits
commit: d18bb32c0b633e82fbdd3c636ac65b54555f27dd
Author: Alexandre Rostovtsev <tetromino <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 23 17:35:15 2011 +0000
Commit: Alexandre Restovtsev <tetromino <AT> gmail <DOT> com>
CommitDate: Sun Oct 23 17:35:15 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=d18bb32c
app-misc/gnote: 0.8.0 → 0.8.1
Bump with performance improvements and better search.
---
.../{gnote-0.8.0.ebuild => gnote-0.8.1.ebuild} | 0
1 files changed, 0 insertions(+), 0 deletions(-)
diff --git a/app-misc/gnote/gnote-0.8.0.ebuild b/app-misc/gnote/gnote-0.8.1.ebuild
similarity index 100%
rename from app-misc/gnote/gnote-0.8.0.ebuild
rename to app-misc/gnote/gnote-0.8.1.ebuild
^ permalink raw reply [flat|nested] 17+ messages in thread
* [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
@ 2011-09-28 7:05 Alexandre Restovtsev
0 siblings, 0 replies; 17+ messages in thread
From: Alexandre Restovtsev @ 2011-09-28 7:05 UTC (permalink / raw
To: gentoo-commits
commit: 17a0f8dbbe46db716620c4ba3d1959cd015d6af0
Author: Alexandre Rostovtsev <tetromino <AT> gmail <DOT> com>
AuthorDate: Tue Sep 27 08:08:58 2011 +0000
Commit: Alexandre Restovtsev <tetromino <AT> gmail <DOT> com>
CommitDate: Wed Sep 28 07:03:17 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=17a0f8db
app-misc/gnote: add 0.8.0
Add the gnome-3.2, gtk3-based version of gnote.
---
app-misc/gnote/gnote-0.8.0.ebuild | 55 +++++++++++++++++++++++++++++++++++++
app-misc/gnote/gnote-9999.ebuild | 55 +++++++++++++++++++++++++++++++++++++
2 files changed, 110 insertions(+), 0 deletions(-)
diff --git a/app-misc/gnote/gnote-0.8.0.ebuild b/app-misc/gnote/gnote-0.8.0.ebuild
new file mode 100644
index 0000000..aaffb3e
--- /dev/null
+++ b/app-misc/gnote/gnote-0.8.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/gnote/gnote-0.7.4.ebuild,v 1.1 2011/05/02 21:02:38 eva Exp $
+
+EAPI="4"
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2
+if [[ ${PV} = 9999 ]]; then
+ inherit gnome2-live
+fi
+
+DESCRIPTION="Desktop note-taking application"
+HOMEPAGE="http://live.gnome.org/Gnote"
+
+LICENSE="GPL-3"
+SLOT="0"
+if [[ ${PV} = 9999 ]]; then
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64 ~x86"
+fi
+IUSE="applet debug"
+
+RDEPEND=">=x11-libs/gtk+-3.0:3
+ >=dev-cpp/glibmm-2.28:2
+ >=dev-cpp/gtkmm-3.0:3.0
+ >=dev-libs/libxml2-2:2
+ dev-libs/libxslt
+ >=dev-libs/libpcre-7.8:3[cxx]
+ >=dev-libs/boost-1.34
+ >=sys-apps/util-linux-2.16
+ applet? ( >=gnome-base/gnome-panel-3 )"
+DEPEND="${DEPEND}
+ dev-util/pkgconfig
+ >=dev-util/intltool-0.35.0
+ app-text/gnome-doc-utils
+ app-text/docbook-xml-dtd:4.1.2"
+
+pkg_setup() {
+ DOCS="AUTHORS ChangeLog NEWS README TODO"
+ G2CONF="${G2CONF}
+ --disable-static
+ --disable-schemas-compile
+ $(use_enable applet)
+ $(use_enable debug)"
+}
+
+src_prepare() {
+ gnome2_src_prepare
+
+ # Do not set idiotic defines in a released tarball, bug #311979
+ sed 's/-DG.*_DISABLE_DEPRECATED//g' -i libtomboy/Makefile.* ||
+ die "sed failed"
+}
diff --git a/app-misc/gnote/gnote-9999.ebuild b/app-misc/gnote/gnote-9999.ebuild
new file mode 100644
index 0000000..aaffb3e
--- /dev/null
+++ b/app-misc/gnote/gnote-9999.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/gnote/gnote-0.7.4.ebuild,v 1.1 2011/05/02 21:02:38 eva Exp $
+
+EAPI="4"
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2
+if [[ ${PV} = 9999 ]]; then
+ inherit gnome2-live
+fi
+
+DESCRIPTION="Desktop note-taking application"
+HOMEPAGE="http://live.gnome.org/Gnote"
+
+LICENSE="GPL-3"
+SLOT="0"
+if [[ ${PV} = 9999 ]]; then
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64 ~x86"
+fi
+IUSE="applet debug"
+
+RDEPEND=">=x11-libs/gtk+-3.0:3
+ >=dev-cpp/glibmm-2.28:2
+ >=dev-cpp/gtkmm-3.0:3.0
+ >=dev-libs/libxml2-2:2
+ dev-libs/libxslt
+ >=dev-libs/libpcre-7.8:3[cxx]
+ >=dev-libs/boost-1.34
+ >=sys-apps/util-linux-2.16
+ applet? ( >=gnome-base/gnome-panel-3 )"
+DEPEND="${DEPEND}
+ dev-util/pkgconfig
+ >=dev-util/intltool-0.35.0
+ app-text/gnome-doc-utils
+ app-text/docbook-xml-dtd:4.1.2"
+
+pkg_setup() {
+ DOCS="AUTHORS ChangeLog NEWS README TODO"
+ G2CONF="${G2CONF}
+ --disable-static
+ --disable-schemas-compile
+ $(use_enable applet)
+ $(use_enable debug)"
+}
+
+src_prepare() {
+ gnome2_src_prepare
+
+ # Do not set idiotic defines in a released tarball, bug #311979
+ sed 's/-DG.*_DISABLE_DEPRECATED//g' -i libtomboy/Makefile.* ||
+ die "sed failed"
+}
^ permalink raw reply related [flat|nested] 17+ messages in thread
end of thread, other threads:[~2018-11-19 16:00 UTC | newest]
Thread overview: 17+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-10-12 23:39 [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/ Gilles Dartiguelongue
-- strict thread matches above, loose matches on Subject: below --
2018-11-19 16:00 Gilles Dartiguelongue
2018-11-19 16:00 Gilles Dartiguelongue
2018-05-26 23:45 Gilles Dartiguelongue
2018-05-26 23:45 Gilles Dartiguelongue
2015-05-30 0:48 Alexandre Rostovtsev
2015-05-12 22:20 Gilles Dartiguelongue
2014-12-21 13:28 Gilles Dartiguelongue
2014-12-07 18:49 Gilles Dartiguelongue
2014-04-06 18:22 Gilles Dartiguelongue
2013-11-14 8:03 Gilles Dartiguelongue
2013-08-24 14:10 Priit Laes
2012-12-16 15:33 Gilles Dartiguelongue
2012-10-28 21:06 Gilles Dartiguelongue
2012-10-28 11:33 Gilles Dartiguelongue
2011-10-23 17:51 Alexandre Restovtsev
2011-09-28 7:05 Alexandre Restovtsev
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox